Package be.fgov.ehealth.timestamping.protocol.v2

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.timestamping.protocol.v2.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.timestamping.protocol.v2 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.timestamping.protocol.v2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorType`
  `createErrorType()`
  Create an instance of `ErrorType`
  `JournalEntryType`
  `createJournalEntryType()`
  Create an instance of `JournalEntryType`
  `PeriodType`
  `createPeriodType()`
  Create an instance of `PeriodType`
  `TimeStampBagType`
  `createTimeStampBagType()`
  Create an instance of `TimeStampBagType`
  `TimeStampIdentification`
  `createTimeStampIdentification()`
  Create an instance of `TimeStampIdentification`
  `TSBagType`
  `createTSBagType()`
  Create an instance of `TSBagType`
  `TSConsultRequest`
  `createTSConsultRequest()`
  Create an instance of `TSConsultRequest`
  `TSConsultResponse`
  `createTSConsultResponse()`
  Create an instance of `TSConsultResponse`
  `TSConsultTSBagRequest`
  `createTSConsultTSBagRequest()`
  Create an instance of `TSConsultTSBagRequest`
  `TSConsultTSBagResponse`
  `createTSConsultTSBagResponse()`
  Create an instance of `TSConsultTSBagResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.timestamping.protocol.v2

- ## Method Details

  - ### createTSConsultRequest

    public TSConsultRequest createTSConsultRequest()
    Create an instance of `TSConsultRequest`
    Returns:
      the new instance of `TSConsultRequest`

  - ### createPeriodType

    public PeriodType createPeriodType()
    Create an instance of `PeriodType`
    Returns:
      the new instance of `PeriodType`

  - ### createTimeStampIdentification

    public TimeStampIdentification createTimeStampIdentification()
    Create an instance of `TimeStampIdentification`
    Returns:
      the new instance of `TimeStampIdentification`

  - ### createTSConsultResponse

    public TSConsultResponse createTSConsultResponse()
    Create an instance of `TSConsultResponse`
    Returns:
      the new instance of `TSConsultResponse`

  - ### createErrorType

    public ErrorType createErrorType()
    Create an instance of `ErrorType`
    Returns:
      the new instance of `ErrorType`

  - ### createTSConsultTSBagRequest

    public TSConsultTSBagRequest createTSConsultTSBagRequest()
    Create an instance of `TSConsultTSBagRequest`
    Returns:
      the new instance of `TSConsultTSBagRequest`

  - ### createTSConsultTSBagResponse

    public TSConsultTSBagResponse createTSConsultTSBagResponse()
    Create an instance of `TSConsultTSBagResponse`
    Returns:
      the new instance of `TSConsultTSBagResponse`

  - ### createTSBagType

    public TSBagType createTSBagType()
    Create an instance of `TSBagType`
    Returns:
      the new instance of `TSBagType`

  - ### createTimeStampBagType

    public TimeStampBagType createTimeStampBagType()
    Create an instance of `TimeStampBagType`
    Returns:
      the new instance of `TimeStampBagType`

  - ### createJournalEntryType

    public JournalEntryType createJournalEntryType()
    Create an instance of `JournalEntryType`
    Returns:
      the new instance of `JournalEntryType`